Bug 10829 - The 'net ads' --server|-S option doesn't work with long hostnames
The 'net ads' --server|-S option doesn't work with long hostnames
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.1.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-22 15:27 UTC by Andreas Schneider
Modified: 2014-10-01 07:02 UTC (History)
0 users

See Also:


Attachments
v4-1-test patch (4.76 KB, patch)
2014-09-26 09:22 UTC, Andreas Schneider
asn: review? (gd)
jra: review+
Details
v4-0-test patch (4.76 KB, patch)
2014-09-26 09:23 UTC, Andreas Schneider
asn: review? (gd)
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2014-09-22 15:27:21 UTC
If you use 'net ads leave -S mydomaincontrollernumberone to leave your domain on DC 'mydomaincontrollernumberone.example.com' doesn't work cause it is two long for a NetBIOS name an so there is no alias in the KDC for it. So we need to create a FQDN if a hostname is given.
Comment 1 Andreas Schneider 2014-09-26 09:22:24 UTC
Created attachment 10309 [details]
v4-1-test patch
Comment 2 Andreas Schneider 2014-09-26 09:23:37 UTC
Created attachment 10310 [details]
v4-0-test patch
Comment 3 Jeremy Allison 2014-09-29 19:26:42 UTC
Comment on attachment 10309 [details]
v4-1-test patch

LGTM.
Comment 4 Jeremy Allison 2014-09-29 19:27:27 UTC
Comment on attachment 10310 [details]
v4-0-test patch

LGTM.
Comment 5 Jeremy Allison 2014-09-29 19:27:48 UTC
Re-assigning to Karolin for inclusion in 4.1.next, 4.0.next.
Comment 6 Karolin Seeger 2014-09-30 18:35:59 UTC
Pushed to autobuild-v4-[0|1]-test.
Comment 7 Karolin Seeger 2014-10-01 07:02:42 UTC
Pushed to both branches.
Closing out bug report.

Thanks!